:root {
    --orange: #f2711c;
    --blue: #2185d0;
    --red: #db2828;
    --purple: #a333c8;
    --green: #21ba45;
    --yellow: #fbbd08;
    --grey: #767676;
    --black: #1b1c1d;
    --lightblue: #95d4e7;
    --darkyellow: #afad86;
    --darkgreen: #84af8b;
    --darkgrey: #363535;
    --lightgrey: #5e6266;
    --darkwhite: #605f5f;
    --darkblue: #1e6da9;
    --olive: #B5CC18;
    --teal: #009c95;
    --violet: #5829bb;
    --pink: #e61a8d;
    --brown: #975b33;
}

/* main colors */
.header_menu {
    background: var(--blue) !important;
}

body {
    background: var(--black) !important;
}

.header_menu_item {
    background: var(--blue) !important;
}

header_menu_dropdown {
    background: var(--blue) !important;
}

.header {
    color: white !important;
}

.ui.top.attached.tabular.menu > .item {
    background: var(--black) !important;
    color: white !important;
}

h1,h2,h3,h4,h5,h6,.h1,.h2,.h3,.h4,.h5,.h6 {
    color: white !important;
}

.ui .input > input {
    background: var(--black) !important;
    color: white !important;
    border: 1px solid white !important;
}
.ui .label {
    background-color: var(--darkgrey) !important;
    color: white !important;
    border-left: 1px solid white !important;
    border-top: 1px solid white !important;
    border-bottom: 1px solid white !important;
}
textarea {
    background: var(--black) !important;
    color: white !important;
    border: 1px solid white !important;
}

.ui.vertical.fluid.tabular.menu > .item {
    background: var(--black) !important;
    color: white !important;
}

[data-tooltip],.ui.popup {
    background: var(--black);
    color: white;
}
[data-tooltip]:after,.ui.right.center.popup:after {
    border: 1px solid white !important;
    background: var(--black);
}
[data-tooltip]:before,.ui.right.center.popup:before {
    border-left: 1px solid white !important;
    background: var(--black);
}
[data-tooltip]:before,.ui.right.center.popup:before {
    border-bottom: 1px solid white !important;
    background: var(--black);
}
.ui.right.center.popup:before {
    left: -6px;
}


.ui.icon.menu .item {
    color: white;
}
.ui.icon.menu .item:hover {
    color: white;
    cursor: pointer;
}
.ui.checkbox > label {
    color: white;
}
label {
    color: white !important;
}

.ui.dropdown.selection{
    color: white;
    background-color: black;
    border: 1px solid white;
}
.ui.dropdown.selection > div{
    color: white !important;
    background-color: black;
}
.ui.dropdown.selection > div > div{
    color: white !important;
    background-color: black !important;
}

.ui.dropdown.selection > div > div:hover{
    color: white !important;
    background-color: var(--darkgrey) !important;
}



.ui.checkbox input:checked~label:after,.ui.checkbox input:not(:checked)~label:after,
.ui.checkbox input:checked~label:before,.ui.checkbox input:not(:checked)~label:before {
    background-color: black !important;
    color: white !important;
    border: 1px solid white !important;
}



.ui.piled.segment {
    background: var(--darkgrey);
}

input {
    background: var(--black) !important;
    color: white !important;
    border: 1px solid white !important;
}
.ui.button {
    background-color: var(--darkgrey);
}

a.item, div.item{
    background-color: black;
    color: white !important;
    border: 1px solid white;
}
a.item:hover, div.item:hover{
    background-color: var(--darkgrey);
    color: white !important;
    border: 1px solid white;
}
.menu.transition {
    background-color: var(--darkgrey) !important;
}

.ui.error.message.visible {
    background-color: black;
    color: white;
    border: 2px solid var(--red);
    box-shadow: unset;
}

.ui.warning.message.visible {
    background-color: black;
    color: white;
    border: 2px solid var(--orange);
    box-shadow: unset;
}

.ui.success.message.visible {
    background-color: black;
    color: var(--green);
    border: 2px solid var(--green);
    box-shadow: unset;
}

.ui.segment {
    background-color: transparent;
}

.scrolling.menu {
    background: transparent !important;
}
.ui.icon.search.input > i {
    color: white;
}
.menu.transition > div.message{
    color: white !important;
}

/* ################################################### */

/* datatables */

/* projects table - full */
.dataTables_wrapper {
    color: white !important;
    background: var(--black) !important;
    padding-top: 5px !important;
}

/* projects table - headers */
.ui.table > thead > tr > th {
    color: white !important;
    background: var(--lightgrey) !important;
}

/* projects table - show entries */
.dataTables_length > label > div {
    color: white !important;
    background: var(--black) !important;
    border: 1px solid white
}

.dataTables_length > label > div > div {
    color: white !important;
    background: var(--black) !important;
}

.dataTables_length > label > div > div > div {
    color: white !important;
    background: var(--black) !important;
}

/* projects table - search field */
.dataTables_filter > label > span {
    color: white !important;
    background: var(--black) !important;
}

.dataTables_filter > label > span > input {
    color: white !important;
    background: var(--black) !important;
}

/* projects table - rows */
tr.odd {
    background-color: var(--black) !important;
    color: white !important;
    border: 1px solid white !important;
    border-color: white;
}
tr.odd > td{
    border-top: 1px solid white !important;
    border-bottom: 1px solid white !important;
}

tr.even {
    background-color: var(--darkgrey) !important;
    color: white !important
}

/* projects table - pages */
.paginate_button  {
    color: white !important;
    background: var(--black) !important;
    border: 1px solid white
}
.dataTables_paginate > *  {
    color: white !important;
    background: var(--black) !important;
    border: 1px solid white
}
.dataTables_paginate > a > div  {
    color: white !important;
    background: var(--black) !important;
    border: 1px solid white;
}

.ui.fluid.search.dropdown.selection.multiple > a {
    border-right: 1px solid white;
}


.circle.minus.black.icon{
    color: white !important;
}

.ui.left.icon.input > i {
    color: white;
}

.ql-fill {
    fill: white !important;
    stroke: none;
}
.ql-stroke:not(.ql-color-label) {
    fill: var(--black) !important;
    stroke: white !important;
}
.ql-picker {
    color: white !important;
}
.ql-formats > button > i {
    color: white !important;
}
.ql-picker-options {
    background-color: var(--black) !important;
}

.ql-editor.ql-blank::before{
    color: white !important;
}

.ui.list > li::before {
    color: white !important;
}

.ui.column {
    color: white !important;
}
/* ################################################### */

/* top-menu */
.host_footer {
    background-color: black !important;
    border: 1px solid white;
}
.header_menu > a {
    border: unset !important;
}

.header_menu .active.item:hover {
    background-color: var(--darkblue) !important;
}
.header_menu.ui.menu .ui.dropdown .menu>.item {
    color: white !important;
}

.header_menu.ui.menu .ui.dropdown .menu {
    background-color: var(--blue) !important;
}

/* team info */
.team_profile_segment:before, .team_profile_segment:after {
    background-color: unset !important;
}

/* issues list */
.ui.blue.empty.circular.label {
    background-color: var(--blue) !important;
    border: unset !important;
}
.ui.green.empty.circular.label {
    background-color: var(--green) !important;
    border: unset !important;
}
.ui.red.empty.circular.label {
    background-color: var(--red) !important;
    border: unset !important;
}
.ui.yellow.empty.circular.label {
    background-color: var(--yellow) !important;
    border: unset !important;
}
.ui.orange.empty.circular.label {
    background-color: var(--orange) !important;
    border: unset !important;
}
.yellow.star.outline.icon{
    color: #fbbd08 !important;
}
#issues_list_wrapper .ui.stackable.grid .row {
    background-color: var(--black) !important;
}
#issues_header #table_header{
    border: 1px solid white !important;
}


/*issue info*/
.cvssjs > dl > dd > label {
    background-color: var(--black) !important;
}
.cvssjs dd input:checked + label {
    background-color: var(--lightgrey) !important;
}
.form-control {
    background-color: var(--black) !important;
    color: white !important;
}
text, .text {
    color: white;
    fill: white;
}

/* services list */
.dtrg-group.dtrg-start.dtrg-level-0 > td{
    background-color: var(--darkwhite) !important;
    color: white !important;
}

.services_list > tbody > tr.even > td {
    background-color: var(--black) !important;
}

/* credentials list */

.menu.transition > div.item {
    color: white !important;
}

/* chats */
.msger-chat {
    background-color: var(--grey) !important;
}
.msger-header {
    background-color: var(--lightgrey) !important;
    color: white !important;
}
.msger-inputarea {
    background-color: var(--lightgrey) !important;
    color: white !important;
    border-top: unset !important;
}
.msger {
    background-color: unset !important;
    border: 1px solid var(--black) !important;
    border-radius: 5px !important;
}
.msger-input {
    border: unset !important;
}
.msg.left-msg > .msg-bubble {
    background-color: var(--lightgrey) !important;
}

/* left-button page */

.scroll_menu {
    background-color: var(--black) !important;
}

.scroll_menu > a {
    border: 1px solid white !important;
}
.scroll_menu > a.red > i {
    color: var(--red) !important;
}

.scroll_menu > a.green > i {
    color: var(--green) !important;
}

/* sidebar */

.sidebar_menu > div > a.active.red {
    color: var(--red) !important;
}
.sidebar_menu > div > a.active.orange {
    color: var(--orange) !important;
}
.sidebar_menu > div > a.active.yellow {
    color: var(--yellow) !important;
}
.sidebar_menu > div > a.active.olive {
    color: var(--olive) !important;
}
.sidebar_menu > div > a.active.green {
    color: var(--green) !important;
}
.sidebar_menu > div > a.active.teal {
    color: var(--teal) !important;
}
.sidebar_menu > div > a.active.blue {
    color: var(--blue) !important;
}
.sidebar_menu > div > a.active.violet {
    color: var(--violet) !important;
}
.sidebar_menu > div > a.active.purple {
    color: var(--purple) !important;
}
.sidebar_menu > div > a.active.pink {
    color: var(--pink) !important;
}
.sidebar_menu > div > a.active.brown {
    color: var(--brown) !important;
}
.sidebar_menu > div > a.active.grey {
    color: var(--grey) !important;
}
.floating.ui.grey.label.tiny {
    border-right: 1px solid white !important;
}

/* Tools */
.extra > div.label {
    border-right: 1px solid white;
}
.description {
    color: white !important;
}
.meta {
    color: white !important;
}
.meta > a {
    color: white !important;
}
.ui.small.image {
    -webkit-filter: drop-shadow(1px 1px 0 white)
                  drop-shadow(-1px -1px 0 white) !important;
  filter: drop-shadow(1px 1px 0 white)
          drop-shadow(-1px -1px 0 white) !important;
}

/* statistics */
.apexcharts-legend-text{
    color: white !important;
}
.apexcharts-tooltip-title {
    color: black !important;
}
.apexcharts-tooltip-series-group {
    color: black !important;
}
.apexcharts-menu-item {
    color: black !important;
}

/* hosts list */
.linux.very.big.black.icon {
    color: white !important;
}

/* sniffer */
.sniffer_segment {
    background-color: var(--lightgrey) !important;
}
.sniffer_window {
    background-color: var(--darkwhite) !important;
    border-bottom: 1px solid white;
}

/* upload file ctrl+v */
.ui.modal.front {
    background-color: var(--lightgrey) !important;
}
.ui.modal.front > div.header {
    background-color: var(--lightgrey) !important;
}
.ui.modal.front > div.image.content {
    background-color: var(--black) !important;
}
.ui.modal.front > div.ui.indicating.progress {
    background-color: var(--lightgrey) !important;
}
.ui.modal.front > div.actions {
    background-color: var(--lightgrey) !important;
}
.ui.modal.front > div.ui.indicating.progress >div.label {
    background-color: var(--lightgrey) !important;
    border-left: unset !important;
    border-top: unset !important;
    border-bottom: unset !important;
}

/* helpers */

.ui.sticky {
    background-color: var(--black) !important;
}


/* top-menu fix */
#header_menu > div > div.item,
#header_menu > div,
#header_menu > div > a.item{
    border: unset !important;
}